Bug 71140 - United Arab Emirates Dirham (AED) and Kuwait Dinar (KWD) are not included on the currencies list
Summary: United Arab Emirates Dirham (AED) and Kuwait Dinar (KWD) are not included on ...
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Eike Rathke
QA Contact: Emir Sarı (away)
Whiteboard: target:4.2.0
Depends on:
Reported: 2013-11-01 20:36 UTC by Emir Sarı (away)
Modified: 2013-11-19 05:23 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı (away) 2013-11-01 20:36:36 UTC
Reproducible also on AOO and NO. 

Cells cannot be formatted with currencies AED and KWD, because they are not included in the list. 

Latest tested release:
Comment 1 Julien Nabet 2013-11-03 08:39:58 UTC
Indeed, I see no locale files in i18npool/source/localedata/data for:

Eike: one for you?
Comment 2 Eike Rathke 2013-11-04 12:15:42 UTC
If someone in the know of Arabic contributed the locale data files ... or could we reference one of ar_DZ.xml  ar_EG.xml  ar_LB.xml  ar_OM.xml  ar_SA.xml  ar_TN.xml and just replace the currency (which would be easiest) if names of calendar items, formats and separators don't differ?

If we can't derive from one of those locale data and a completely new locale data file is needed then please see https://wiki.documentfoundation.org/LibreOffice_Localization_Guide/How_To_Submit_New_Locale_Data
Comment 3 Eike Rathke 2013-11-04 12:18:10 UTC
Btw, as a workaround you can use a user defined currency format, for example

#,##0.00 [$AED];-#,##0.00 [$AED]
Comment 4 Eike Rathke 2013-11-18 23:07:26 UTC
If someone contributed proper locale data files that would had been helpful.. upping priority/severity doesn't change anything.

I'll now create ar_AE.xml and ar_KW.xml by referring ar_SA.xml in all aspects and just do a currency replacement.
Comment 5 Commit Notification 2013-11-18 23:51:13 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":


added [ar-AE] and [ar-KW] locale data referrers, fdo#71140

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
Affected users are encouraged to test the fix and report feedback.
Comment 6 Emir Sarı (away) 2013-11-19 05:01:44 UTC
For double checking I am adding our Arabic speaker friends to CC; please, if you could give your feedback about this, that would be great. 

Thank you very much in advance...
Comment 7 abdulmajeed 2013-11-19 05:23:10 UTC
it's Fixed :) and work as expected
Thankyou Eike